polySpline              package:splines              R Documentation

Piecewise Polynomial Spline Representation

Description:

     Create the piecewise polynomial representation of a spline object.

Usage:

     polySpline(object, ...)
     as.polySpline(object, ...)

Arguments:

  object: An object that inherits from class 'spline'.

     ...: Optional additional arguments.  At present no additional
          arguments are used.

Value:

     An object that inherits from class 'polySpline'.  This is the
     piecewise polynomial representation of a univariate spline
     function. It is defined by a set of distinct numeric values called
     knots.  The spline function is a polynomial function between each
     successive pair of knots.  At each interior knot the polynomial
     segments on each side are constrained to have the same value of
     the function and some of its derivatives.

Author(s):

     Douglas Bates and Bill Venables

See Also:

     'interpSpline', 'periodicSpline', 'splineKnots', 'splineOrder'

Examples:

     data( women )
     ispl <- polySpline( interpSpline( weight ~ height,  women, bSpline = TRUE ) )
     print( ispl )   # print the piecewise polynomial representation
     plot( ispl )    # plots over the range of the knots
     points( women$height, women$weight )

